Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.examples.travelagency.ws
Class TravelAgencySoapBindingSkeleton

    java.lang.Object
      org.objectweb.jass.examples.travelagency.ws.TravelAgencySoapBindingSkeleton

All Implemented Interfaces:
  java.rmi.Remote, org.apache.axis.wsdl.Skeleton, TravelAgency

public class TravelAgencySoapBindingSkeleton
extends java.lang.Object
implements TravelAgency, org.apache.axis.wsdl.Skeleton

Constructor Summary
`TravelAgencySoapBindingSkeleton()`
`TravelAgencySoapBindingSkeleton(TravelAgency impl)`

Method Summary
`static java.util.List` | `getOperationDescByName(java.lang.String methodName)` Returns List of OperationDesc objects with this name
`static java.util.Collection` | `getOperationDescs()` Returns Collection of OperationDescs
`int` | `reserveRooms(int in0)`
`int` | `reserveSeats(int in0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TravelAgencySoapBindingSkeleton

    public TravelAgencySoapBindingSkeleton()

### TravelAgencySoapBindingSkeleton

    public TravelAgencySoapBindingSkeleton(TravelAgency impl)

Method Detail

### getOperationDescByName

    public static java.util.List getOperationDescByName(java.lang.String methodName)

  Returns List of OperationDesc objects with this name

### getOperationDescs

    public static java.util.Collection getOperationDescs()

  Returns Collection of OperationDescs

### reserveSeats

    public int reserveSeats(int in0)
                     throws java.rmi.RemoteException,
                            NotEnoughSeatsException,
                            DBException

  Specified by:
    `reserveSeats` in interface `TravelAgency`
  Throws:
    `java.rmi.RemoteException`
    `NotEnoughSeatsException`
    `DBException`

### reserveRooms

    public int reserveRooms(int in0)
                     throws java.rmi.RemoteException,
                            DBException,
                            NotEnoughRoomsException

  Specified by:
    `reserveRooms` in interface `TravelAgency`
  Throws:
    `java.rmi.RemoteException`
    `DBException`
    `NotEnoughRoomsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD